if general.pyro_ac==nil then
	general.pyro_ac=texture.load("data/bots/pyro_ac/pyro_ac.png")
	general.laser=texture.load("data/bots/pyro_ac/weapons/laser.png")
end

pyro_ac={}

function create.pyro_ac(x, y, r, n)
	if bots[n]==nil then
		--sd -  
		----false - 
		----true - 
		--c -   
		--bf -   
		--s -  
		--d -    
		--a - 
		bots[n]={x=x, y=y, ox=x, oy=y, w=64, h=64, r=r, f=0, l=100, e=100, sd=false, id="pyro_ac", t=0, c=0, bullet={}, bf=false, s=false, d=false, a=255}
	end
	if bots[n].bf==false then
		for i=1,50 do
			bots[n].bullet[i]={x=0, y=0, r=0, f=false}
		end
		bots[n].bf=true
	end
	
	function pyro_ac.bp()
		if bots[n].c<50 then
			bots[n].c=bots[n].c+1
		else
			bots[n].c=1
		end
	
		if bots[n].sd==false then
			bots[n].bullet[bots[n].c].x=bots[n].x+28*math.cos(3.14*(bots[n].r-0.9))+32
			bots[n].bullet[bots[n].c].y=bots[n].y+28*math.sin(3.14*(bots[n].r-0.9))+12
			bots[n].sd=true
		else
			bots[n].bullet[bots[n].c].x=bots[n].x+28*math.cos(3.14*(bots[n].r-0.1))+32
			bots[n].bullet[bots[n].c].y=bots[n].y+28*math.sin(3.14*(bots[n].r-0.1))+12
			bots[n].sd=false
		end

		bots[n].bullet[bots[n].c].r=bots[n].r
		bots[n].bullet[bots[n].c].f=true
		bots[n].e=bots[n].e-0.25
		
		wav.stop(general.laserf)
		wav.play(general.laserf)
	end

	function pyro_ac.bf()
		for i=1,table.getn(bots[n].bullet) do
			if bots[n].bullet[i].f==true then
				bots[n].bullet[i].x=bots[n].bullet[i].x+15*math.cos(3.14*(bots[n].bullet[i].r-0.5))
				bots[n].bullet[i].y=bots[n].bullet[i].y+15*math.sin(3.14*(bots[n].bullet[i].r-0.5))

				texture.draw(general.laser, bots[n].bullet[i].x-bots[1].x+game.offset.x+game.cam.x, bots[n].bullet[i].y-bots[1].y+game.offset.y+game.cam.y, bots[n].bullet[i].r*3.14, 255)
				for j=1,table.getn(bots) do
					if bots[n].bullet[i].x>bots[j].x and bots[n].bullet[i].x<bots[j].x+bots[j].w and bots[n].bullet[i].y>bots[j].y and bots[n].bullet[i].y<bots[j].y+bots[j].h and j~=n and bots[j].d==false then
						bots[n].bullet[i].f=false
						bots[j].l=bots[j].l-7.5
						if j==1 then
							wav.stop(general.phit)
							wav.play(general.phit)
						else
							wav.stop(general.laserh)
							wav.play(general.laserh)
						end
					end
				end
				for j=1,table.getn(walls) do
					if bots[n].bullet[i].x>walls[j].x and bots[n].bullet[i].x<walls[j].x+walls[j].w and bots[n].bullet[i].y>walls[j].y and bots[n].bullet[i].y<walls[j].y+walls[j].h then
						bots[n].bullet[i].f=false
						wav.stop(general.laserw)
						wav.play(general.laserw)
					end
				end
				if bots[n].bullet[i].x-bots[1].x+game.offset.x+game.cam.x>game.screen.w+32 or bots[n].bullet[i].x-bots[1].x+game.offset.x+game.cam.x<-32 or bots[n].bullet[i].y-bots[1].y+game.offset.y+game.cam.y>game.screen.h+32 or bots[n].bullet[i].y-bots[1].y+game.offset.y+game.cam.y<-32 then
					bots[n].bullet[i].f=false
				end
			end
		end
	end
	
	if bots[n].d==false then
		bots[n].ox=bots[n].x
		bots[n].oy=bots[n].y
	
		bots[n].x=bots[n].x-(9*math.cos(3.14*(bots[n].r+0.5)))*bots[n].f
		bots[n].y=bots[n].y-(9*math.sin(3.14*(bots[n].r+0.5)))*bots[n].f
	
		if bots[n].f>0 then
			bots[n].f=bots[n].f-0.02
		else
			bots[n].f=bots[n].f+0.03
		end
	
		for i=1,table.getn(bots) do
			if bots[n].x+bots[n].w>bots[i].x and bots[n].x<bots[i].x+bots[i].w and bots[n].y+bots[n].h>bots[i].y and bots[n].y<bots[i].y+bots[i].h and i~=n and bots[i].d==false then
				bots[n].f=bots[n].f*-1
				bots[n].x=bots[n].ox
				bots[n].y=bots[n].oy
			end
		end
	
		if n==1 then
			texture.draw(general.pyro_ac, game.offset.x+game.cam.x, game.offset.y+game.cam.y, bots[1].r*3.14, 255)
		else
			texture.draw(general.pyro_ac, bots[n].x-bots[1].x+game.offset.x+game.cam.x, bots[n].y-bots[1].y+game.offset.y+game.cam.y, bots[n].r*3.14, 255)
		end
		
		if bots[n].l<0 then
			bots[n].d=true
		end

		if bots[n].s==true then
			pyro_ac.bp()
			pyro_ac.bp()
		end
	else
		if bots[n].a>250 then
			wav.stop(general.rexp)
			wav.play(general.rexp)
		end
		if bots[n].a>0 then
			bots[n].a=bots[n].a-5
		end
		if n==1 then
			texture.draw(general.expm, game.offset.x+game.cam.x, game.offset.y+game.cam.y, bots[1].r*3.14, bots[n].a)
		else
			texture.draw(general.expm, bots[n].x-bots[1].x+game.offset.x+game.cam.x, bots[n].y-bots[1].y+game.offset.y+game.cam.y, bots[n].a/100, bots[n].a)
		end
	end
	pyro_ac.bf()
end