function menu.update(dt)
	if menu.p==false then
		if game.bba>0 then
			game.bba=game.bba-5
		end
	else
		if game.bba<255 then
			game.bba=game.bba+5
		else
			if menu.cur==1 then
				game.cur=current.load
			end
		end
	end
end

function menu.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(menu.tex.bkg, 0, 0)
	--love.graphics.draw(menu.tex.logo, love.graphics.getWidth()-370, 0)
	love.graphics.draw(menu.tex.select, 0, 170+menu.cur*50)
	
	love.graphics.setColor(255, 106, 0)
	love.graphics.setFont(font)
	for i=1, table.getn(menu.text) do
		love.graphics.print(menu.text[i], 50, 200+i*50)
	end
end

function menu.keypressed(key, unicode)
	if menu.p==false then
		if key=="up" and menu.cur>1 then
			wav.stop(menu.sfx.switch)
			wav.play(menu.sfx.switch)
			menu.cur=menu.cur-1
		end
		if key=="down" and menu.cur<table.getn(menu.text) then
			wav.stop(menu.sfx.switch)
			wav.play(menu.sfx.switch)
			menu.cur=menu.cur+1
		end
	
		if key==" " then
			wav.stop(menu.sfx.switch)
			wav.play(menu.sfx.switch)
			menu.p=true
		end
	end
	
end